SQLite 1.0.82.0 (последний) в Visual Studio 2012 не отображается в источнике данных Designer

Я использую последнюю версию 1.0.82.0 (sqlite-netFx40-setup-bundle-x86-2010-1.0.82.0.exe) и использую выпущенную версию Visual Studio 2012 со всеми последними версиями.

Я не вижу SQLite в источнике данных Designer в Source Explorer (новые подключения).

Загрузка о состояниях SQLite "Этот установочный пакет способен устанавливать компоненты времени разработки для Visual Studio 2010 », Я полагаюVisual Studio 2010 " Отчасти это то, почему я не вижу дизайнера в VS2012, что у меня есть.

Как мне заставить дизайнера работать с VS2012?

Когда команда System.Data.SQLite.org выпустит версию, которая работает с VS 2012?

(Я видел пару постов еще в июле, в которых говорилось о 1.0.66 и 1.0.73, но это было тогда, и 1.0.82 включает разработчиков только для VS 2010, очевидно. Я вижу другие имена файлов с "-2008" предположительно для Visual Studio 2008. Это означает, что Visual Studio 2012, вероятно, выйдет, но в то же время мне интересно узнать о ручном взломе реестра или о чем-то подобном.)

 CL.10 окт. 2012 г., 09:08
Какой выпуск VS2012?
 Maximc03 февр. 2013 г., 22:10
Я исправил это, пожалуйста, проверьте мой отредактированный ответ, или он работает для вас сейчас.
 Sarah Weinberger10 окт. 2012 г., 20:37
У меня есть две машины для разработки. Один имеет Visual Studio 2012 Professional, а другой - Visual Studio 2012 Premium. Согласно документации, поддержка дизайнеров для Professional и выше и не поддерживается в версии Express.

Ответы на вопрос(3)

1.0.83, который выйдет в ноябре XX, 2012.

Visual Studio 2012 помимо различий кустов реестра v10 и v11 также имеет то, что команда называет "переработана дизайнерская поддержка ".

Вот ссылка на информацию.

http://system.data.sqlite.org/index.html/doc/trunk/www/news.wiki

1.0.83.0 - XX ноября 2012 г. (релиз запланирован) •Обновлено до SQLite 3.7.15. •Добавьте поддержку Visual Studio 2012 для всех применимых файлов решений / проектов, связанных с ними вспомогательных файлов и набора тестов. •Добавьте поддержку Visual Studio 2012 в переработанный установщик поддержки дизайнеров.

и другие изменения.

К сожалению, я не смог найти какое-либо временное решение в Интернете. Отсутствие исправления влияет на проекты на основе отчетов с DevExpress и проекты, которые используют проводник.

 Andreas Adler02 дек. 2012 г., 20:30
Теперь это говоритДекабрь XX, 2012 " ...

вам необходимо скачать очень специфическую версию System.Data.SQLite.страница загрузок имеет удивительный56 разные возможности, так чтолегко ошибиться.

Посмотрите на большой жирный текст, который говорит это:

Этот установочный пакет способен устанавливать компоненты времени разработки для Visual Studio 2012.

Но это'Все еще легко пропустить среди миллиардов загрузок. Если вам нужно, используйте Control-F, чтобы найти "Visual Studio 2012 " текст.

Дон»скачать 64-битную версию, даже если вына 64-битной машине, Вам нужна 32-битная версия с текстом выше, чтобы получить поддержку дизайнера.

 FireWingLead12 нояб. 2014 г., 21:36
Да, очень определенно используя VS 2012.
 FireWingLead12 нояб. 2014 г., 03:23
Это нет работа. Я загрузил 32-разрядную версию, в которой говорилось, что это единственная версия, которая будет устанавливать компоненты времени разработки для VS 2012. Я обязательно проверил опции для установки этих компонентов. Попробовал ДВАЖДЫ выключить VS, выполнить установку и запустить VS обратно. В списке нет поставщика SQLite, и я могуМоя модель EDMX для подключения или сопоставления с моей базой данных SQLite. Любые другие потенциальные причины / исправления? (уже убедились, что установлены правильные версии NuGet: EF 6.1.1 и SQLite 1.0.94)
 Ryan Lundy12 нояб. 2014 г., 15:52
@FireWingLead, вы определенно используете VS 2012, а не VS 2013? Он имеет другой пакет, предназначенный для VS 2013.

НОВЫЙ РЕДАКТИРОВАТЬ СЕЙЧАС Я ПОЛУЧИЛ ЭТО РАБОТАЮ!

Перейти к Visual Studio, Управление Nuget, поиск онлайн-пакетов, поиск "SQLite», установите System.Data.SQLite и boom, вы можете использовать конструктор, и все снова работает.

 Maximc03 февр. 2013 г., 22:10
Исправлено, проверьте мой ответ, пожалуйста
 Sarah Weinberger02 янв. 2013 г., 02:14
Спасибо за обновление. Я только что скачал и установил его.
 Maximc02 янв. 2013 г., 02:53
И это работает для вас сейчас?
 DigitalNomad03 февр. 2013 г., 21:49
Я только что установил 1.0.84.0, все еще нет компонентов времени разработки из коробки.

Ваш ответ на вопрос